View Issue Details

IDProjectCategoryView StatusLast Update
17282Bug reportsQuestion editorpublic2021-05-07 11:20
Reportersurveyunihi Assigned Toollehar  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version4.5.x 
Summary17282: Missing text in question organizer
DescriptionIn former versions of LS, i.e. 3.17.3, the "Reorder questions/questions groups"-screen displayed the name of the groups and the question-text.
In LS 4.5.2, you can only see the group-Ids and the question codes. This is much less intuitve.
See attached examples showing screenshots of the same survey in these two versions mentioned.
Steps To ReproduceTake any non-empty survey and use "Reorder questions/questions groups".
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.5.2+210426
I will donate to the project if issue is resolvedNo
BrowserFirefox 88
Database & DB-Version10.4.16-MariaDB
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.46
PHP Version7.4.12

Activities

surveyunihi

surveyunihi

2021-05-03 14:58

reporter  

LS 3_17_3.png (91,863 bytes)   
LS 3_17_3.png (91,863 bytes)   
LS 4_5_2.png (53,428 bytes)   
LS 4_5_2.png (53,428 bytes)   
ollehar

ollehar

2021-05-04 16:00

administrator   ~64222

Weird regression. Thanks for notifying us.
ollehar

ollehar

2021-05-04 16:52

administrator   ~64223

Same issue with group description.
ollehar

ollehar

2021-05-04 16:56

administrator   ~64224

And also "Save" in LS4 triggers the "Leave page" JS popup.
ollehar

ollehar

2021-05-07 11:19

administrator   ~64283

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31687

Related Changesets

LimeSurvey: master bc34aa0e

2021-05-04 17:02:58

ollehar

Details Diff
Fixed issue 17282: Missing text in question organizer Affected Issues
17282
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - application/views/admin/survey/organizeGroupsAndQuestions_view.php Diff File

Issue History

Date Modified Username Field Change
2021-05-03 14:58 surveyunihi New Issue
2021-05-03 14:58 surveyunihi File Added: LS 3_17_3.png
2021-05-03 14:58 surveyunihi File Added: LS 4_5_2.png
2021-05-04 16:00 ollehar Note Added: 64222
2021-05-04 16:52 ollehar Note Added: 64223
2021-05-04 16:56 ollehar Note Added: 64224
2021-05-04 17:02 ollehar Summary Displayed data in "Reorder questions/questions groups" => Displayed data in question organizer
2021-05-04 17:02 ollehar Summary Displayed data in question organizer => Missing text in question organizer
2021-05-04 17:17 ollehar Assigned To => ollehar
2021-05-04 17:17 ollehar Status new => testing
2021-05-07 11:19 ollehar Changeset attached => LimeSurvey master bc34aa0e
2021-05-07 11:19 ollehar Note Added: 64283
2021-05-07 11:19 ollehar Resolution open => fixed
2021-05-07 11:20 ollehar Status testing => resolved